## libbgcode 0.0~git20231219.7aaf717

=== debian/changelog ===
libbgcode (0.0~git20231219.7aaf717-1) unstable; urgency=medium

  * [48bee50] New upstream version 0.0~git20231219.7aaf717
  * [dfb8267] Add manpage for bgcode binary
  * [c21ebb5] Ignore manpage lintian warning.
    The manpage is generated by pandoc and there's no fix for this
  * [c75c18a] Switch debian packaging to AGPL-3 to match upstream code

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 06 Jan 2024 04:27:13 +0800

libbgcode (0.0~git20231208.02d005c-1) unstable; urgency=medium

  * Initial release. (Closes: #1056335)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 20 Nov 2023 11:38:34 +0800
