## libbgcode 0.0~git20240206.27ebf16

=== debian/changelog ===
libbgcode (0.0~git20240206.27ebf16-1) unstable; urgency=medium

  * [efa574b] New upstream version 0.0~git20240206.27ebf16

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 18 Feb 2024 01:57:10 +0800
