=== debian/changelog ===
libbgcode (0.0~git20240220.33a1eeb-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:50:14 +0000

libbgcode (0.0~git20240220.33a1eeb-1) unstable; urgency=medium

  * [bb7fbd2] New upstream version 0.0~git20240220.33a1eeb

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Mar 2024 17:57:59 +0800
