=== debian/control ===
Source: libbgcode
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               catch2,
               cmake,
               libboost-dev,
               libboost-nowide-dev,
               libheatshrink-dev,
               pandoc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://github.com/prusa3d/libbgcode
Vcs-Browser: https://salsa.debian.org/3dprinting-team/libbgcode
Vcs-Git: https://salsa.debian.org/3dprinting-team/libbgcode.git

Package: libbgcode-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: binary gcode generation library
 libbgcode is a library used to generate binary G-code for 3D printers.
 Binary G-code is a new G-code file format featuring the following
 improvements over the legacy G-code:
 .
 1) Block structure with distinct blocks for metadata vs. G-code
 2) Faster navigation
 3) Coding & compression for smaller file size
 4) Checksum for data validity
 5) Extensivity through new (custom) blocks. For example, a file
    signature block may be welcome by corporate customers.
 .
 This package contains the development files required to compile applications
 against this library.

Package: bgcode
Section: misc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: binary gcode generation library
 libbgcode is a library used to generate binary G-code for 3D printers.
 Binary G-code is a new G-code file format featuring the following
 improvements over the legacy G-code:
 .
 1) Block structure with distinct blocks for metadata vs. G-code
 2) Faster navigation
 3) Coding & compression for smaller file size
 4) Checksum for data validity
 5) Extensivity through new (custom) blocks. For example, a file
    signature block may be welcome by corporate customers.
 .
 This package contains the bgcode command line utility used to convert textual
 gcode files into binary gcode.
