## libbgcode 0.0~git20240328.8ae75bd

=== debian/changelog ===
libbgcode (0.0~git20240328.8ae75bd-1) unstable; urgency=medium

  * [947ba83] New upstream version 0.0~git20240328.8ae75bd

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 26 Apr 2024 17:38:09 +0800
