## libbgcode 0.0~git20240704.dcb8f7b

=== debian/changelog ===
libbgcode (0.0~git20240704.dcb8f7b-1) unstable; urgency=medium

  * [ec9c342] New upstream version 0.0~git20240704.dcb8f7b

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 18 Jul 2024 02:27:40 +0800
