## libbgcode 0.0~git20240903.3db61e4

=== debian/changelog ===
libbgcode (0.0~git20240903.3db61e4-1) unstable; urgency=medium

  * [e1c2c52] New upstream version 0.0~git20240829.b5c57c4
  * [461d5fe] New upstream version 0.0~git20240903.3db61e4

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Sep 2024 11:26:29 +0800

libbgcode (0.0~git20240730.5347c33-1) unstable; urgency=medium

  * [28dc052] New upstream version 0.0~git20240730.5347c33

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 21 Aug 2024 16:27:24 +0800
