=== debian/changelog ===
libbgcode (0.0~git20241024.d33a277-2) unstable; urgency=medium

  * [85ab0dd] Enable position-independent code generation everywhere.
    Fixes slic3r-prusa relocation-related FTBFS errors[1]
    [1] https://github.com/prusa3d/PrusaSlicer/issues/13694

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 30 Dec 2024 11:36:39 +0800

libbgcode (0.0~git20241024.d33a277-1) unstable; urgency=medium

  * [2842eba] New upstream version 0.0~git20241024.d33a277

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 12 Nov 2024 16:02:44 +0800
