=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/prusa3d/libbgcode/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# Direct Git.
opts="mode=git" http://github.com/prusa3d/libbgcode HEAD
