=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-find_package(Catch2 2.9 REQUIRED)
+find_package(Catch2 3.8 REQUIRED)
 
 include(Catch)
 
@@ -16,7 +16,7 @@
 add_library(test_common INTERFACE)
 target_include_directories(test_common INTERFACE ${CMAKE_CURRENT_LIST_DIR})
 target_compile_definitions(test_common INTERFACE TEST_DATA_DIR=R"\(${TEST_DATA_DIR}\)" CATCH_CONFIG_FAST_COMPILE)
-target_link_libraries(test_common INTERFACE Catch2::Catch2 Boost::nowide)
+target_link_libraries(test_common INTERFACE Catch2::Catch2WithMain Boost::nowide)
 
 if (EMSCRIPTEN)
     target_link_libraries(test_common INTERFACE nodefs.js noderawfs.js)
