=== debian/changelog ===
libbgcode (0.0~git20250220.5041c09-1) unstable; urgency=medium

  * [043f0b6] New upstream version 0.0~git20250220.5041c09
  * [164e74d] Drop upstreamed patches
  * [4569abf] Patch to downgrade catch2 dependency to 3.7.
    3.8 isn't packaged yet.
  * [f4eac2c] Drop removed file from debian/copyright

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 10 Mar 2025 23:32:41 +0800
