=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libbgcode
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
+Maintainer: Chow Loong Jin <hyperair@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                catch2,
