## libbgcode 0.0~git20251210.0773cea

=== debian/changelog ===
libbgcode (0.0~git20251210.0773cea-2) unstable; urgency=medium

  * [d0e67ff] Fix FTBFS on big-endian architectures.
    Thanks to Gregor Riepl <onitake@gmail.com> (Closes: #1062014)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 22 Dec 2025 13:15:21 +0800

libbgcode (0.0~git20251210.0773cea-1) unstable; urgency=medium

  * [a7cb976] New upstream version 0.0~git20251210.0773cea

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 15 Dec 2025 14:30:26 +0800
